For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • POSTCreate timesheets in bulk
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APITimesheets

Create timesheets in bulk

POST
https://api.yunojuno.com/timesheets/bulk/
POST
/timesheets/bulk/
$curl -X POST https://api.yunojuno.com/timesheets/bulk/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "contract": "string",
> "timesheet_state": "APPROVED"
> }
> ]
>}'
202Accepted
1{
2 "async_request": {
3 "async_request_id": "string",
4 "async_request_url": "string",
5 "state": "string",
6 "source": "string",
7 "created_at": "2024-01-15T09:30:00Z",
8 "processed_at": "2024-01-15T09:30:00Z",
9 "error_message": "string"
10 }
11}

Create multiple timesheets in a single request.

Create one or more timesheets for one or more contracts, in bulk. Processing is asynchronous; the response includes an async request to poll for completion.

Was this page helpful?
Previous

Create a project

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
datalist of objectsRequired

Response

async_requestobject
The asynchronous request object. This object represents a request that has been submitted for further background processing.